org.osgi.framework.BundleException: Cannot start a fragment bundle

Exception: While trying to start com.springsource.org.apache.xerces-2.8.1.jar bundle I got the following exception.

org.osgi.framework.BundleException: Cannot start a fragment bundle
at org.knopflerfish.framework.BundleImpl.start(BundleImpl.java:300)

Solution: We can’t start Fragment Bundle. As long as it is in resolved state, it is good. The following links can give more information about it.
http://www.osgi.org/javadoc/r4v41/org/osgi/framework/Bundle.html
http://blog.linkedin.com/2008/07/10/osgi-at-linkedin-integrating-spring-dm-part-2/
http://osgi.mjahn.net/2008/03/13/half-bundle-half-jar-%E2%80%93-the-nature-of-fragment-a-blessing-or-a-curse/

-o-

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s